function [root]=backward_solve_3(input)   #basically the backward_solve function but with a check for the input size
	if rows(input)==3            
	else return								# this block performs the check
	endif
	if columns(input)==3 
	else return
	endif
	root=zeros(rows(input),columns(input));
	A=get_conversion_matrix(input);
	B=col_conv(input);
	x=det(A)*inv(A)*B;
	root=back_conv(x,rows(input),columns(input));
	root=int32(root);
	root=mod(root,2);
endfunction